4Suite™ API Documentation

# ► Module Ft.Rdf.Drivers.Oracle

A persistent RDF model driver using Oracle
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: DbAdapter |  |  |  | Functions: ConnectDb, ConnectStringToDict, CreateDb, DestroyDb, EscapeQuotes, ExistsDb, GetDb, MapObjectType, SplitUri |  |  |  | Fields: CREATE_DDL, CREATE_FUNCS, CREATE_USER, DESTROY_DDL, HTTPPLUS_PATTERN, MAILTO_PATTERN, NAME_PATTERN, OBJECT_TYPE_LITERAL, OBJECT_TYPE_RESOURCE, OBJECT_TYPE_UNKNOWN, ORACLE_CONNECT_STRING, QUICK_TEST, RDF_MS_BASE, UUID_PATTERN

## Classes

class DbAdapter

### Methods

__init__(self, connString, modelName='rdfdefault', db=None)
add(self, statements)
####### Legacy API #######
begin(self)
commit(self)
complete(self, subject, predicate, object, statementUri, domain, flags)
contains(self, subject, predicate, object, statementUri, domain, flags)
isResource(self, res)
objectsFromSubAndPreds(self, subject, predicates, scope=None)
remove(self, statements)
removePattern(self, subject, predicate, object, statementUri, domain, flags)
resources(self)
rollback(self)
subjectsFromPredAndObjs(self, predicate, objects, scope=None)
subjectsFromPredsAndObj(self, predicates, object, scope=None)
####### Versa API #######

## Functions

ConnectDb(connStr, modelName='rdfdefault')
ConnectStringToDict(connStr)
CreateDb(connStr, modelName='rdfdefault')
DestroyDb(connStr, modelName='rdfdefault')
EscapeQuotes(qstr)
ExistsDb(connStr, modelName='rdfdefault')
GetDb(connStr, modelName='rdfdefault')
MapObjectType(ot)
SplitUri(uri)

## Fields

CREATE_DDL = '\nCREATE TABLE urihead (\nID number primary key,\n...;\n\nCREATE INDEX aclidentname ON aclident (Name);\n'
CREATE_FUNCS = 'CREATE OR REPLACE FUNCTION rlookup_func ( funcid...OR R.id = objectid;\n return(retval);\n END;\n'
CREATE_USER = 'CREATE USER %(model)s IDENTIFIED BY %(model)s DE...ACE USERS;\nGRANT CONNECT, RESOURCE to %(model)s;\n'
DESTROY_DDL = 'drop table ACLASSOC;\ndrop table ACLIDENT;\ndrop t... sequence STATMENTSEQ;\ndrop sequence URIHEADSEQ;\n'
HTTPPLUS_PATTERN = <_sre.SRE_Pattern object>
Compiled regular expression objects
MAILTO_PATTERN = <_sre.SRE_Pattern object>
Compiled regular expression objects
NAME_PATTERN = r'[a-zA-Z_][a-zA-Z0-9\.\-_]*'
OBJECT_TYPE_LITERAL = 'L'
OBJECT_TYPE_RESOURCE = 'R'
OBJECT_TYPE_UNKNOWN = '?'
ORACLE_CONNECT_STRING = <_sre.SRE_Pattern object>
Compiled regular expression objects
QUICK_TEST = "RDF_FILE = 'w3c1.rdf'\nfrom Ft.Rdf.Drivers import...Map=NSMAP)\nprint r\nprint Util.VersaDataToXml(r)\n\n"
RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
UUID_PATTERN = <_sre.SRE_Pattern object>
Compiled regular expression objects